Album: Land of Hue and Duels (Trollside)
Directory: land-of-hue-and-duels-trollside
Date: April 13, 2023
Date Added: April 13, 2023
Color: '#8fceef'
Artists:
- PriestlyBeast
Cover Artists:
- PriestlyBeast
URLs:
- https://www.youtube.com/watch?v=D4RF2M9Z86w
Groups:
- Fandom
Art Tags:
- Skaia
- Gate
Commentary: |-
    <i>PriestlyBeast:</i>
    Full Homestuck Fan Album I began in August of last year, comprised of 12 troll themes composed in Jummbox on my Chromebook, happy 4/13 !
---
Track: ap0calypseArisen
Directory: ap0calypsearisen-lohad
Additional Names:
- apocalypseArisen (quirk-free)
Duration: '2:34'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=0
---
Track: aDIOStOREADOR
Directory: adiostoreador-lohad
Additional Names:
- adiosToreador (quirk-free)
Duration: '2:02'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=154
---
Track: twiinArmageddon2
Directory: twiinarmageddon2-lohad
Additional Names:
- twinArmageddons (quirk-free)
Duration: '2:05'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=276
---
Track: CARCINOGENETICIST
Directory: carcinogeneticist-lohad
Additional Names:
- carcinoGeneticist (quirk-free)
Duration: '2:04'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=401
---
Track: ':arsenicCatnip'
Directory: arseniccatnip-lohad
Additional Names:
- arsenicCatnip (quirk-free)
Duration: '2:46'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=525
---
Track: GrimAuxiliatrix
Directory: grimauxiliatrix-lohad
Additional Names:
- grimAuxiliatrix (quirk-free)
Duration: '2:04'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=691
---
Track: G4LLOWSC4L1BR4TOR
Directory: g4llowsc4l1br4tor-lohad
Additional Names:
- gallowsCalibrator (quirk-free)
Duration: '1:29'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=815
---
Track: ar8chnidsGrip
Directory: ar8chnidsgrip-lohad
Additional Names:
- arachnidsGrip (quirk-free)
Duration: '1:51'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=904
---
Track: centaursTesticle
Directory: centaurstesticle-lohad
Duration: '2:11'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=1015
---
Track: terminallyCaPrIcIoUs
Directory: terminallycapricious-lohad
Additional Names:
- terminallyCapricious (quirk-free)
Duration: '1:47'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=1146
---
Track: caligulasAquarium
Directory: caligulasaquarium-lohad
Duration: '1:46'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=1253
---
Track: cuttlefis)(Culler
Directory: cuttlefishculler-lohad
Additional Names:
- cuttlefishCuller (quirk-free)
Duration: '2:21'
URLs:
- https://youtu.be/D4RF2M9Z86w?t=1359
